Bug 233618 - cad/gmsh: Update to 4.0.6
Summary: cad/gmsh: Update to 4.0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL: http://gmsh.info/CHANGELOG.txt
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2018-11-28 19:52 UTC by kunda
Modified: 2018-12-13 12:43 UTC (History)
3 users (show)

See Also:


Attachments
Update ; Unmark broken on 12/13-i386 (3.06 KB, patch)
2018-12-05 23:17 UTC, Nathan
ndowens: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kunda 2018-11-28 19:52:03 UTC
Please update gmsh port 
http://gmsh.info
https://repology.org/metapackage/gmsh/badges
Comment 1 Tobias Kortkamp freebsd_committer 2018-11-29 11:51:39 UTC
(In reply to kunda from comment #0)
Port is unmaintained. Can you provide a patch?
Comment 2 kunda 2018-12-04 11:47:30 UTC
I can't
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-04 11:52:01 UTC
CC a couple of folks who may be able (but shouldn't feel compelled) to help, and previous MAINTAINER who may have spare cycles or be able to help understand what's needed or caveats to getting this updated.
Comment 4 Nathan 2018-12-04 12:22:05 UTC
Will look at updating
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-04 12:24:31 UTC
(In reply to Nathan from comment #4)

Thanks Nathan :)
Comment 6 Nathan 2018-12-04 22:39:41 UTC
Update: I have patch ready, it works on 13-current i386. I got to create a 12-386 jail to test and make sure it is either broken or not broken after update.
Comment 7 Nathan 2018-12-05 04:56:27 UTC
(In reply to Nathan from comment #6)
Correction, it builds fine in 12-i386, still waiting for 13-i386 to build all needed deps for clean jail
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-05 05:09:24 UTC
Temporarily assign Nathan as he works on the update so he can update bug fields.
Comment 9 Nathan 2018-12-05 23:17:40 UTC
Created attachment 199874 [details]
Update ; Unmark broken on 12/13-i386

cad/gmsh:

* Update to 4.0.6                                                                                                                                                                                            
* Unmark broken on 12/13-i386, built in poudriere                                                                                                                                                     
* Correct order of variables, per handbook 
* Add missing LDCONFIG, installs shared libraries

PR:              233618
Submitted by:   Nathan <ndowens@yahoo.com>
Approved by:    portmgr (Unmaintained port)
Comment 10 Nathan 2018-12-05 23:18:33 UTC
Dropping assignee, so committer can assign themselves.
Comment 11 Nathan 2018-12-05 23:19:28 UTC
Comment on attachment 199874 [details]
Update ; Unmark broken on 12/13-i386

Portlint -AC: Looks fine
Poudriere 12/13 i386: Built fine
Comment 12 commit-hook freebsd_committer 2018-12-06 11:55:43 UTC
A commit references this bug:

Author: jrm
Date: Thu Dec  6 11:55:00 UTC 2018
New revision: 486753
URL: https://svnweb.freebsd.org/changeset/ports/486753

Log:
  cad/gmsh: Update to 4.0.6

  Upstream change log:
  https://gitlab.onelab.info/gmsh/gmsh/blob/master/CHANGELOG.txt

  PR:		233618
  Submitted by:	ndowens@yahoo.com
  Reported by:	chitty_cloud@me.com

Changes:
  head/cad/gmsh/Makefile
  head/cad/gmsh/distinfo
  head/cad/gmsh/pkg-plist
Comment 13 Joseph Mingrone freebsd_committer 2018-12-06 11:57:02 UTC
Committed.  Thanks.
Comment 14 Joseph Mingrone freebsd_committer 2018-12-06 13:34:31 UTC
On closer inspection, I don't think 'USE_LDCONFIG=yes' should have been added.  I only see shared libraries installed when the SHARED knob is on and there is 'SHARED_VARS=USE_LDCONFIG=yes'

Also, could elaborate on why 'MAKE_JOBS_UNSAFE=yes' was removed?
Comment 15 Nathan 2018-12-06 14:43:27 UTC
(In reply to Joseph Mingrone from comment #14)

MAKE_JOBS_UNSAFE was removed simply because it built fine without any issue on the targets I tested. Also do you want me to revise the USE_LDCONFIG. Could change to SHARED_USE= LDCONFIG (IF it exists, will have to look to make sure)
Comment 16 Nathan 2018-12-06 14:45:20 UTC
(In reply to Nathan from comment #15)
Woops, relooked at Makefile and it had LDCONFIG. Will remove
Comment 17 Joseph Mingrone freebsd_committer 2018-12-06 14:48:35 UTC
Thanks for clarifying.  No need to submit anything new.  It's just one line to remove.

MAKE_JOBS_UNSAFE is a bit of a black art.  It can build find in specific cases, but other builds can still fail.  Let's leave it out and see how things go.
Comment 18 Nathan 2018-12-06 14:53:31 UTC
(In reply to Joseph Mingrone from comment #17)
Sorry about the LDCONFIG line, didn't notice it when I added USE_LDCONFIG
Comment 19 Joseph Mingrone freebsd_committer 2018-12-06 14:57:52 UTC
No worries.  Neither did I.
Comment 20 kunda 2018-12-13 12:34:47 UTC
just a quick bump that 4.0.7 was just released
http://gmsh.info/CHANGELOG.txt

4.0.7 (December 9, 2018): fixed small memory leaks; removed unused code.
Comment 21 Joseph Mingrone freebsd_committer 2018-12-13 12:43:27 UTC
I will try to commit the update soon.